echo on

rem install location
set APPSRV_INSTALLROOT=C:\Program Files\IBM\LDAP\V6.2\idsapps\appsrv
rem end install location

rem ldap install location
set LDAP_INSTALLHOME=C:\Program Files\IBM\LDAP\V6.2\idsapps
rem end ldap install location

rem white Pages port file
set PORTSFILE=C:\Program Files\IBM\LDAP\V6.2\idsapps\DWPWEBPortDef.props
rem end white Pages port file

rem Create the profile only if it is not already there.
if not exist "%APPSRV_INSTALLROOT%\profiles\WPProfile\bin" (
   call "%APPSRV_INSTALLROOT%\bin\manageprofiles.bat" -create -profileName WPProfile -profilePath "%APPSRV_INSTALLROOT%\profiles\WPProfile" -templatePath "%APPSRV_INSTALLROOT%\profileTemplates\default" -nodeName DefaultNode -hostName localhost -cellName DefaultNode -isDefault -portsFile "%PORTSFILE%"
   )

if not exist "%APPSRV_INSTALLROOT%\profiles\WPProfile\installableApps"  (
   md "%APPSRV_INSTALLROOT%\profiles\WPProfile\installableApps"
   )

copy "%LDAP_INSTALLHOME%\DirectoryWhitePages.ear" "%APPSRV_INSTALLROOT%\profiles\WPProfile\installableApps"

copy "%LDAP_INSTALLHOME%\WelcomePage.ear" "%APPSRV_INSTALLROOT%\profiles\WPProfile\installableApps"

call "%APPSRV_INSTALLROOT%\profiles\WPProfile\bin\wsadmin.bat" -conntype NONE -c "$AdminApp install {%APPSRV_INSTALLROOT%\profiles\WPProfile\installableApps\DirectoryWhitePages.ear} {-node DefaultNode -usedefaultbindings -nodeployejb -appname DirectoryWhitePages.ear -contextroot \"IDSWHITEPAGES\"}"

call "%APPSRV_INSTALLROOT%\profiles\WPProfile\bin\wsadmin.bat" -conntype NONE -c "$AdminApp install {%APPSRV_INSTALLROOT%\profiles\WPProfile\installableApps\WelcomePage.ear} {-node DefaultNode -usedefaultbindings -nodeployejb -appname WelcomePage.ear -contextroot \"IDSWELCOMEPAGE\"}"

if exist "%APPSRV_INSTALLROOT%\profiles\WPProfile\installedApps\DefaultNode\WelcomePage.ear.ear\wp_v11.war" (
	if exist "%LDAP_INSTALLHOME%\etc\entitlement.txt" (
	      copy "%LDAP_INSTALLHOME%\etc\entitlement.txt" "%APPSRV_INSTALLROOT%\profiles\WPProfile\installedApps\DefaultNode\WelcomePage.ear.ear\wp_v11.war\"
	)
   )

echo %ERRORLEVEL%
EXIT %ERRORLEVEL%



